# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Jun 30 19:56:59 2022
# ------------------------------------------------

package:
  name: graphviz
  version: 2.50.0
source:
  - patches:
      - patches/0001-Always-link-to-getopt-on-Windows.patch
      - patches/0002-Remove-requirement-of-hard-coded-DLLs-in-PATH.patch
      - patches/0003-Add-support-for-GTS-in-CMake-builds.patch
      - patches/0004-Fix-logic-for-finding-harfbuzz.patch
    sha256: afa48581f764a35e148909cc96a0308ec2356b5225b64af12492f3392f20ef1c
    url: https://gitlab.com/graphviz/graphviz/-/archive/2.50.0/graphviz-2.50.0.tar.gz
  - folder: ltdl_compat
    sha256: a3cf376bca2965634ba05926d4065a46331e71c487d84a4c6aceb795e9458bfd
    url: https://gitlab.com/graphviz/graphviz-windows-dependencies/-/raw/c7eafb3c/x64/include/ltdl.h
build:
  detect_binary_files_with_prefix: true
  ignore_run_exports:
    - fontconfig
    - freetype
    - gdk-pixbuf
    - pixman
  missing_dso_whitelist:
    - '**/ld-linux-x86-64.so.2'
    - '**/ld64.so.1'
    - '**/libc.so.6'
    - '**/libdl.so.2'
    - '**/libm.so.6'
    - '**/libpthread.so.0'
    - '**/librt.so.1'
  number: '0'
  string: h3cd0ef9_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.69 pl526hebd4dad_5
    - automake 1.16.2 pl526_0
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bison 3.7.5 h2531618_1
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.4.26 h06a4308_0
    - flex 2.6.4 ha10e3a4_1
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h295c915_1008
    - libuuid 1.0.3 h7f8727e_2
    - libx11-common-cos6-x86_64 1.6.4 4
    - libx11-cos6-x86_64 1.6.4 4
    - libx11-devel-cos6-x86_64 1.6.4 4
    - libxau-cos6-x86_64 1.0.6 4
    - libxau-devel-cos6-x86_64 1.0.6 4
    - libxext-cos6-x86_64 1.3.3 4
    - libxext-devel-cos6-x86_64 1.3.3 4
    - libxrender-cos6-x86_64 0.9.10 4
    - libxrender-devel-cos6-x86_64 0.9.10 4
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1p h5eee18b_0
    - patch 2.7.6 h7b6447c_1001
    - perl 5.26.2 h14c3975_0
    - pkg-config 0.29.2 h1bed415_8
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.10.4 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - sqlite 3.38.5 hc218d9a_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - xorg-x11-proto-devel-cos6-x86_64 7.7 4
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - atk-1.0 2.36.0 ha1a6a79_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.4.26 h06a4308_0
    - cairo 1.16.0 h19f5f5c_2
    - expat 2.2.10 he6710b0_2
    - fontconfig 2.13.1 h6c09931_0
    - freetype 2.10.4 h5ab3b9f_0
    - fribidi 1.0.10 h7b6447c_0
    - gdk-pixbuf 2.42.8 h433bba3_0
    - glib 2.69.1 h4ff587b_1
    - gobject-introspection 1.72.0 py310hbb6d50b_0
    - graphite2 1.3.14 h295c915_1
    - gtk2 2.24.33 h73c1081_2
    - gts 0.7.6 hb67d8dd_3
    - harfbuzz 4.3.0 hd55b92a_0
    - icu 58.2 he6710b0_3
    - jpeg 9e h7f8727e_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgd 2.3.3 h695aa2c_1
    - libgomp 11.2.0 h1234567_1
    - libpng 1.6.37 hbc83047_0
    - librsvg 2.54.4 h19fe530_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.2.0 h2818925_1
    - libtool 2.4.6 h295c915_1008
    - libuuid 1.0.3 h7f8727e_2
    - libwebp-base 1.2.2 h7f8727e_0
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.9.14 h74e7548_0
    - lz4-c 1.9.3 h295c915_1
    - ncurses 6.3 h7f8727e_2
    - ninja 1.10.2 h06a4308_5
    - ninja-base 1.10.2 hd09550d_5
    - openssl 1.1.1p h5eee18b_0
    - pango 1.50.7 h05da053_0
    - pcre 8.45 h295c915_0
    - pixman 0.40.0 h7f8727e_1
    - python 3.10.4 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  run:
    - cairo >=1.16.0,<2.0a0
    - expat >=2.2.10,<3.0a0
    - fontconfig
    - fonts-conda-ecosystem
    - freetype
    - gdk-pixbuf
    - glib >=2.69.1,<3.0a0
    - gtk2
    - gts >=0.7.6,<0.8.0a0
    - libgcc-ng >=11.2.0
    - libgd >=2.3.3,<2.4.0a0
    - librsvg >=2.54.4,<3.0a0
    - libstdcxx-ng >=11.2.0
    - libtool
    - libwebp-base
    - pango >=1.50.7,<2.0a0
    - zlib >=1.2.12,<1.3.0a0
test:
  files:
    - sample.dot
about:
  description: 'Graphviz is an open source graph visualization software. Graph visualization

    is a way of representing structural information as diagrams of abstract

    graphs and networks.

    '
  dev_url: https://gitlab.com/graphviz/graphviz/
  doc_source_url: https://gitlab.com/graphviz/graphviz.gitlab.io
  doc_url: https://graphviz.gitlab.io/documentation/
  home: https://www.graphviz.org/
  license: EPL-1.0
  license_family: Other
  license_file: COPYING
  summary: Open Source graph visualization software.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 110523be-5085-40d7-b999-97fbb4777e26
  recipe-maintainers:
    - ccordoba12
    - jakirkham
    - johanneskoester
    - nehaljwani
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/graphviz-feedstock.git
  sha: 707696560a6d4b3180caf78c59a0d73d273807f8
